package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF672 extends MwfRequest<MWF672, MWF672Response> {

    @Parameter(name = "APPuvodni")
    MWF672 aPPuvodni(String aPPuvodni);
    @Parameter(name = "CIF")
    MWF672 cif(String cif);
    @Parameter(name = "CisloBU")
    MWF672 cisloBU(String cisloBU);
    @Parameter(name = "KodProduktSchvaleny")
    MWF672 kodProduktSchvaleny(String kodProduktSchvaleny);
    @Parameter(name = "NovaVyseRamce")
    MWF672 novaVyseRamce(Double novaVyseRamce);
    @Parameter(name = "PuvodniVyseRamce")
    MWF672 puvodniVyseRamce(Double puvodniVyseRamce);
    @Parameter(name = "RodneCislo")
    MWF672 rodneCislo(String rodneCislo);
}
